Last Comment Bug 703094 - AwesomeScreen should use same background as URL bar
: AwesomeScreen should use same background as URL bar
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P3 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-16 14:13 PST by Sriram Ramasubramanian [:sriram]
Modified: 2012-01-09 15:18 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Patch (7.21 KB, patch)
2011-11-16 14:24 PST, Sriram Ramasubramanian [:sriram]
no flags Details | Diff | Splinter Review
Patch (10.82 KB, patch)
2011-11-17 11:21 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Sriram Ramasubramanian [:sriram] 2011-11-16 14:13:38 PST
With the new design, the AwesomeScreen's EditText should have the curved background as the URL bar. The AwesomeScreen Tabs background should be black.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-11-16 14:24:30 PST
Created attachment 575001 [details] [diff] [review]
Patch

This patch makes the required changes.
Comment 2 Aaron Train [:aaronmt] 2011-11-17 06:37:28 PST
Is the TextView in the AwesomeScreen going to receive the same type of affordance (embossed look, drop shadow) as the URL bar's TextView you just landed in bug 701370?
Comment 3 Sriram Ramasubramanian [:sriram] 2011-11-17 09:48:20 PST
That's how Ian wanted it.
Comment 4 Sriram Ramasubramanian [:sriram] 2011-11-17 11:21:51 PST
Created attachment 575245 [details] [diff] [review]
Patch

This patch adds the "GeckoStateListDrawable.java" that was missed in previous patch.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-17 11:34:47 PST
https://hg.mozilla.org/projects/birch/rev/3954e874ac29
Comment 6 Aaron Train [:aaronmt] 2011-11-18 07:03:20 PST
Samsung Nexus S (Android 2.3.6)
20111118040220
http://hg.mozilla.org/projects/birch/rev/9999a423d8ab

Note You need to log in before you can comment on or make changes to this bug.